# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
task-defaults:
    fetch:
        type: cft-chromedriver-fetch
        script: /builds/worker/bin/fetch-cft-chromedriver.py

linux64-cft-cd-canary:
    description: 'Linux64 Chrome-for-Testing Chromedriver Fetch (canary channel)'
    attributes:
        cached_task: false
    fetch:
        platform: linux
        artifact-name: cft-cd-linux-canary.tar.bz2
        channel: Canary

win64-cft-cd-canary:
    description: 'Windows64 Chrome-for-Testing Chromedriver Fetch (canary channel)'
    attributes:
        cached_task: false
    fetch:
        platform: win64
        artifact-name: cft-cd-win64-canary.tar.bz2
        channel: Canary

mac-cft-cd-canary:
    description: 'MacOSX Chrome-for-Testing Chromedriver Fetch (canary channel)'
    attributes:
        cached_task: false
    fetch:
        platform: mac
        artifact-name: cft-cd-mac-canary.tar.bz2
        channel: Canary

mac-cft-cd-arm-canary:
    description: 'MacOS (arm) Chrome-for-Testing Chromedriver fetch (canary channel)'
    attributes:
        cached_task: false
    fetch:
        platform: mac-arm
        artifact-name: cft-cd-mac-arm-canary.tar.bz2
        channel: Canary

linux64-cft-cd-stable:
    description: 'Linux64 Chrome-for-Testing Chromedriver Fetch (stable channel)'
    attributes:
        cached_task: false
    fetch:
        platform: linux
        artifact-name: cft-cd-linux-stable.tar.bz2
        channel: Stable

win64-cft-cd-stable:
    description: 'Windows64 Chrome-for-Testing Chromedriver Fetch (stable channel)'
    attributes:
        cached_task: false
    fetch:
        platform: win64
        artifact-name: cft-cd-win64-stable.tar.bz2
        channel: Stable

mac-cft-cd-stable:
    description: 'MacOSX Chrome-for-Testing Chromedriver Fetch (stable channel)'
    attributes:
        cached_task: false
    fetch:
        platform: mac
        artifact-name: cft-cd-mac-stable.tar.bz2
        channel: Stable

mac-cft-cd-arm-stable:
    description: 'MacOS (arm) Chrome-for-Testing Chromedriver fetch (stable channel)'
    attributes:
        cached_task: false
    fetch:
        platform: mac-arm
        artifact-name: cft-cd-mac-arm-stable.tar.bz2
        channel: Stable

linux64-cft-cd-backup:
    description: 'Linux64 Chrome-for-Testing Chromedriver Fetch (backup/pinned version)'
    attributes:
        cached_task: false
    fetch:
        platform: linux
        artifact-name: cft-cd-linux-backup.tar.bz2
        backup: true

win64-cft-cd-backup:
    description: 'Windows64 Chrome-for-Testing Chromedriver Fetch (backup/pinned version)'
    attributes:
        cached_task: false
    fetch:
        platform: win64
        artifact-name: cft-cd-win64-backup.tar.bz2
        backup: true

mac-cft-cd-backup:
    description: 'MacOSX Chrome-for-Testing Chromedriver Fetch (backup/pinned version)'
    attributes:
        cached_task: false
    fetch:
        platform: mac
        artifact-name: cft-cd-mac-backup.tar.bz2
        backup: true

mac-cft-cd-arm-backup:
    description: 'MacOS (arm) Chrome-for-Testing Chromedriver Fetch (backup/pinned version)'
    attributes:
        cached_task: false
    fetch:
        platform: mac-arm
        artifact-name: cft-cd-mac-arm-backup.tar.bz2
        backup: true

linux64-cft-cd-beta:
    description: 'Linux64 Chrome-for-Testing Chromedriver Fetch (beta channel)'
    attributes:
        cached_task: false
    fetch:
        platform: linux
        artifact-name: cft-cd-linux-beta.tar.bz2
        channel: Beta

win64-cft-cd-beta:
    description: 'Windows64 Chrome-for-Testing Chromedriver Fetch (beta channel)'
    attributes:
        cached_task: false
    fetch:
        platform: win64
        artifact-name: cft-cd-win64-beta.tar.bz2
        channel: Beta

mac-cft-cd-beta:
    description: 'MacOSX Chrome-for-Testing Chromedriver Fetch (beta channel)'
    attributes:
        cached_task: false
    fetch:
        platform: mac
        artifact-name: cft-cd-mac-beta.tar.bz2
        channel: Beta

mac-cft-cd-arm-beta:
    description: 'MacOS (arm) Chrome-for-Testing Chromedriver fetch (beta channel)'
    attributes:
        cached_task: false
    fetch:
        platform: mac-arm
        artifact-name: cft-cd-mac-arm-beta.tar.bz2
        channel: Beta
